Name: snappy
Version: 1.1.8
Release: 1
License: BSD-3-Clause
Summary: A fast compressor/decompressor
Url: https://github.com/google/snappy

Source0: https://github.com/google/snappy/archive/%{version}.tar.gz

BuildRequires: cmake >= 3.16.0
BuildRequires: zlib-devel


%description
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression.

%package -n libsnappy1
Summary: A fast compressor/decompressor

%description -n libsnappy1
Snappy is a compression/decompression library. It does not aim for maximum
compression, or compatibility with any other compression library; instead, it
aims for very high speeds and reasonable compression.


%package devel
Summary: Development package for snappy
Requires: libsnappy1 = %{version}-%{release}

%description devel
Development package for snappy


%prep
%setup -q

mkdir cmake-build

%build
cd cmake-build

# TODO: Ideally, this should be set by CMakeLists.txt somewhere
export CFLAGS='-pthread'
export LDFLAGS="-Wl,-bbigtoc -pthread"

cmake \
  -DCMAKE_INSTALL_PREFIX=%{_prefix} \
  -DBUILD_SHARED_LIBS=ON \
  ..

%make_build

%install
cd cmake-build

%make_install

rm %{buildroot}/%{_libdir}/libsnappy.so %{buildroot}/%{_libdir}/libsnappy.so.1

mv %{buildroot}/%{_libdir}/libsnappy.so.1.1.8 %{buildroot}/%{_libdir}/libsnappy.so.1

ln -s libsnappy.so.1 %{buildroot}/%{_libdir}/libsnappy.so

%files -n libsnappy1
%defattr(-, qsys, *none)

%{_libdir}/libsnappy.so.*


%files devel
%defattr(-, qsys, *none)

%{_libdir}/libsnappy.so

%{_includedir}/snappy-c.h
%{_includedir}/snappy-sinksource.h
%{_includedir}/snappy-stubs-public.h
%{_includedir}/snappy.h

%{_libdir}/cmake/Snappy/SnappyConfig.cmake
%{_libdir}/cmake/Snappy/SnappyConfigVersion.cmake
%{_libdir}/cmake/Snappy/SnappyTargets-noconfig.cmake
%{_libdir}/cmake/Snappy/SnappyTargets.cmake


%changelog
* Wed Oct 21 2020 Naveen Ram <naveen.ram@ibm.com> - 1.1.8
- Update snappy to version 1.1.8

* Wed Dec 4 2019 Abdirahim Musse <abdirahim.musse@ibm.com> 
- Use SPDX license identifier

* Tue Mar 26 2019 Kevin Adler <kadler@us.ibm.com> - 1.1.7
- ibm-build-tools -> pase-build-tools

* Wed Jul 25 2018 - Kevin Adler <kadler@us.ibm.com>
- Fix snappy dependencies

* Wed Jul 25 2018 - Kevin Adler <kadler@us.ibm.com>
- Add Google's snappy compression library
